Bug 1228416: send gnome-session output to an artifact; r=armenzg
authorDustin J. Mitchell <dustin@mozilla.com>
Fri, 04 Dec 2015 17:36:14 -0500
changeset 314591 0f207bd9470f95c2c63234e3e04c88a63514ce83
parent 314590 f481f8ed45308ee9a4dd449ad158387886e3f3c3
child 314592 8d891ed3195225c3444f01b1b14324795443c656
child 314650 590bb47657679ce045de90c91a3d0fa159789789
push id8237
push userjbeich@vfemail.net
push dateTue, 08 Dec 2015 12:55:06 +0000
reviewersarmenzg
bugs1228416
milestone45.0a1
Bug 1228416: send gnome-session output to an artifact; r=armenzg
testing/taskcluster/scripts/tester/test-linux.sh
testing/taskcluster/tasks/tests/fx_test_base.yml
--- a/testing/taskcluster/scripts/tester/test-linux.sh
+++ b/testing/taskcluster/scripts/tester/test-linux.sh
@@ -22,16 +22,18 @@ echo "running as" $(id)
 set -v
 cd $WORKSPACE
 
 # test required parameters are supplied
 if [[ -z ${MOZHARNESS_URL} ]]; then exit 1; fi
 if [[ -z ${MOZHARNESS_SCRIPT} ]]; then exit 1; fi
 if [[ -z ${MOZHARNESS_CONFIG} ]]; then exit 1; fi
 
+mkdir -p ~/artifacts
+
 cleanup() {
     if [ -n "$xvfb_pid" ]; then
         kill $xvfb_pid || true
     fi
 }
 trap cleanup EXIT INT
 
 # Unzip the mozharness ZIP file created by the build task
@@ -89,17 +91,17 @@ Exec=touch $semaphore
 Hidden=false
 X-GNOME-Autostart-enabled=true
 Name=Startup Complete
 Comment=Notify test-linux.sh that GNOME session startup is complete
 StartupNotify=false
 Terminal=false
 Type=Application
 EOF
-    gnome-session &
+    gnome-session > ~/artifacts/public/gnome-session.log 2>&1 &
     while [ ! -f $semaphore ]; do
         sleep 1
     done
 fi
 
 # support multiple, space delimited, config files
 config_cmds=""
 for cfg in $MOZHARNESS_CONFIG; do
--- a/testing/taskcluster/tasks/tests/fx_test_base.yml
+++ b/testing/taskcluster/tasks/tests/fx_test_base.yml
@@ -5,17 +5,17 @@ task:
   payload:
     image: '{{#docker_image}}desktop-test{{/docker_image}}'
     env:
         NEED_WINDOW_MANAGER: true
         NEED_PULSEAUDIO: true
         GECKO_HEAD_REPOSITORY: '{{{head_repository}}}'
         GECKO_HEAD_REV: '{{{head_rev}}}'
     artifacts:
-      'public/build':
+      'public/test':
         type: directory
         path: '/home/worker/artifacts/'
         expires: '{{#from_now}}1 year{{/from_now}}'
 
   extra:
     treeherder:
       tier: 2
     treeherderEnv: